Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
[Groovy] Class ApplicationPluginConvention

    java.lang.Object
      org.gradle.api.plugins.ApplicationPluginConvention

    class ApplicationPluginConvention

A Convention used for the ApplicationPlugin.

Property Summary
`Iterable` | `applicationDefaultJvmArgs` Array of string arguments to pass to the JVM when running the application
`CopySpec` | `applicationDistribution`
`String` | `applicationName` The name of the application.
`String` | `mainClassName` The fully qualified name of the application's main class.
`Project` | `project`

Constructor Summary
`ApplicationPluginConvention(Project project)`

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### applicationDefaultJvmArgs

    Iterable applicationDefaultJvmArgs

  Array of string arguments to pass to the JVM when running the application

### applicationDistribution

    CopySpec applicationDistribution

  The specification of the contents of the distribution.

  Use this CopySpec to include extra files/resource in the application distribution.

       apply plugin: 'application'

       applicationDistribution.from("some/dir") {
         include "*.txt"
       }

  Note that the application plugin pre configures this spec to; include the contents of "`src/dist`", copy the application start scripts into the "`bin`" directory, and copy the built jar and its dependencies into the "`lib`" directory.

### applicationName

    String applicationName

  The name of the application.

### mainClassName

    String mainClassName

  The fully qualified name of the application's main class.

### project

    final Project project

Constructor Detail

### ApplicationPluginConvention

    ApplicationPluginConvention(Project project)

Gradle API 1.10